Bug 1023952 - [RFE] [RHEVM][webadmin] vNIC profile screens are missing features
[RFE] [RHEVM][webadmin] vNIC profile screens are missing features
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
Meni Yakove
network
: FutureFeature, Improvement, Triaged
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-28 08:40 EDT by Mike Kolesnik
Modified: 2016-02-10 14:48 EST (History)
8 users (show)

See Also:
Fixed In Version: is23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:38:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21032 None None None Never
oVirt gerrit 21033 None None None Never

  None (edit)
Description Mike Kolesnik 2013-10-28 08:40:15 EDT
Description of problem:
When creating/editing a vNIC profile, the displayed fields are affected by the version of the data center, while they should be verion agnostic since they should be blocked by cluster version.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Create a 3.0 DC
2. Create a new or edit the management network's vNIC profile
3.

Actual results:
The profile screen has no option to select "Port mirroring".
There is no way to add custom properties.


Expected results:
It should be possible to select a port mirroring or add custom properties.


Additional info:
The version enforcement should be done by can do action when adding/editing vNIC
Comment 1 Meni Yakove 2013-10-29 07:50:20 EDT
Port mirroring is 3.1 feature so I think it's better to enforce it on the vNIC profile creation level.
Comment 2 Meni Yakove 2013-11-14 02:54:00 EST
rhevm-3.3.0-0.33.beta1.el6ev.noarch
Comment 3 Charlie 2013-11-27 19:09:58 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 4 errata-xmlrpc 2014-01-21 12:38:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.